## wolfssl 3.13.0%2Bdfsg

=== wrapper/python/wolfssl/Makefile ===
# Makefile
#
# Copyright (C) 2006-2017 wolfSSL Inc.
#
# This file is part of wolfSSL. (formerly known as CyaSSL)
#
# wolfSSL is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# wolfSSL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA

.PHONY : all clean clean-test clean-build clean-pyc install test check upload

# builds the module
all :
	python ./setup.py build

#builds and installs the module
install : all
	python ./setup.py install

## removes all build, test, coverage and Python artifacts
clean : clean-test clean-build clean-pyc

## removes test and coverage artifacts
clean-test :
	rm -rf .coverage .tox/ htmlcov/

## removes build artifacts
clean-build :
	rm -rf build/ dist/ .eggs/
	find . -name '*.egg-info' -exec rm -rf {} +
	find . -name '*.egg' -exec rm -v {} +

## removes Python file artifacts
clean-pyc :
	find src test -name '__pycache__' -exec rm -rf {} +
	find src test -name '*.pyc' -exec rm -f {} +
	find src test -name '*.pyo' -exec rm -f {} +

# runs unit tests
check : test

test : clean-pyc
	tox

# publishes module at pypi
upload : test
	python ./setup.py sdist upload

## wolfssl 3.4.8%2Bdfsg

=== debian/control ===
Source: wolfssl
Priority: optional
Maintainer: Felix Lechner <felix.lechner@gmail.com>
Build-Depends:
 debhelper (>= 9),
 dh-exec (>= 0.3),
 dh-autoreconf,
 autotools-dev,
 libpcap0.8-dev,
 openssl
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.wolfssl.com/yaSSL/Products-wolfssl.html

Package: libcyassl5
Depends: libwolfssl0, ${misc:Depends}
Architecture: any
Multi-Arch: same
Priority: extra
Section: oldlibs
Description: transitional dummy package with compatibility links
 This is a transitional dummy package. It can safely be removed.
 .
 This package provides compatibility links between libcyassl and
 libwolfssl.

Package: libwolfssl0
Architecture: any
Multi-Arch: same
Replaces: libcyassl5 (<< 3.4.2-1~)
Breaks: libcyassl5 (<< 3.4.2-1~)
Provides: libcyassl5
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: WolfSSL encryption library
 WolfSSL is a small, portable, embedded SSL programming library
 targeted for use by embedded systems developers. It was formerly
 known as the CyaSSL (Yet Another SLL) library.
 .
 It is an open source implementation of SSL (SSL 3, TLS 1.0, 1.1,
 1.2, and DTLS 1.0 and 1.2) built in the C language. It includes SSL
 client libraries and an SSL server implementation as well as support
 for multiple API's, including those defined by SSL and TLS.
 .
 WolfSSL also includes an OpenSSL compatibility interface with the
 most commonly used OpenSSL functions.

Package: libwolfssl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libwolfssl0 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for the WolfSSL encryption library
 WolfSSL is a small, portable, embedded SSL programming library 
 targeted for use by embedded systems developers. It was formerly 
 known as the CyaSSL (Yet Another SLL) library.
 .
 It is an open source implementation of SSL (SSL 3, TLS 1.0, 1.1,
 1.2, and DTLS 1.0 and 1.2) built in the C language. It includes SSL
 client libraries and an SSL server implementation as well as support
 for multiple API's, including those defined by SSL and TLS.
 .
 WolfSSL also includes an OpenSSL compatibility interface with the
 most commonly used OpenSSL functions.
 .
 This package contains the development files.

Package: libwolfssl0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 libwolfssl0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debug symbols for the WolfSSL encryption library
 WolfSSL is a small, portable, embedded SSL programming library 
 targeted for use by embedded systems developers. It was formerly 
 known as the CyaSSL (Yet Another SLL) library.
 .
 It is an open source implementation of SSL (SSL 3, TLS 1.0, 1.1,
 1.2, and DTLS 1.0 and 1.2) built in the C language. It includes SSL
 client libraries and an SSL server implementation as well as support
 for multiple API's, including those defined by SSL and TLS.
 .
 WolfSSL also includes an OpenSSL compatibility interface with the
 most commonly used OpenSSL functions.
 .
 This package contains the debugging symbols.

## wolfssl 3.4.8+dfsg

=== debian/changelog ===
wolfssl (3.4.8+dfsg-1) unstable; urgency=medium

  * Name of package changed from 'cyassl' to 'wolfssl'
  * New upstream release
  * Disabled automatic downgrade to SSLv3 in release 3.2.0 (Closes: #769905)
  * Fixed CVE-2014-2901, CVE-2014-2902, CVE-2014-2903 and CVE-2014-2904
      in release 3.2.0 (Closes: #770229)
  * Fixed TEMP-0000000-2D36D7 in release 3.2.0
  * Added build option '--enable-chacha'
  * Added build option '--enable-poly1305'
  * Added build option '--enable-hashdrbg'
  * Added build option '--use-fastmath'
  * Added build option '--enable-ecc25519'
  * Added build flag TFM_TIMING_RESISTANT
  * Added build flag TFM_NO_ASM
  * Added Build-Depends: libpcap0.8-dev for sniffer testing
  * Removed obsolete build option '--enable-gcc-hardening'
  * Removed LT_LIB_M in configure.ac to avoid linking uselessly with libm
  * Enabled tests
  * Added Exclude-Files: in 'copyright' for automatic repackaging
  * Added repacksuffix=+dfsg in 'watch'
  * Updated to Standards-Version: 3.9.6
  * Added dummy package for 'libcyassl5'
  * Replaces: libcyassl5 (<< 3.4.2-1~)
  * Breaks: libcyassl5 (<< 3.4.2-1~)
  * Provides: libcyassl5
  * Created compatibility symlinks for libcyassl.so.5.0.0

 -- Felix Lechner <felix.lechner@gmail.com>  Sun, 26 Apr 2015 08:23:52 -0700

cyassl (2.9.4+dfsg-3) unstable; urgency=medium

  * Removed build option '--use-fastmath'
  * Turned off fastmath for amd64, where it is default
  * Fixed typedef for socklen_t on hurd-i386
  * Marked debug and development packages as Multi-Arch:same

 -- Felix Lechner <felix.lechner@gmail.com>  Wed, 01 Oct 2014 10:34:34 -0700

cyassl (2.9.4+dfsg-2) unstable; urgency=medium

  * Disabled build option '--enable-aesni' (Closes: #760320, #760321)
  * Disabled build option '--enable-crl-monitor' (Closes: #760322)
  * Fixed symbol file to reflect '+' added to previous package version
  * Switched to standard build flags for correct symbol generation and
    hardening.
  * Disabled tests that failed (due to expired certificates).

 -- Felix Lechner <felix.lechner@gmail.com>  Tue, 30 Sep 2014 10:57:53 -0700

cyassl (2.9.4+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #598391)

 -- Felix Lechner <felix.lechner@gmail.com>  Wed, 09 Apr 2014 17:43:28 -0700

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment this to change the hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --parallel --with autotools-dev --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-opensslextra \
		--enable-dtls \
		--enable-savesession \
		--enable-savecert \
		--enable-atomicuser \
		--enable-pkcallbacks \
		--enable-sniffer \
		--enable-aesgcm \
		--enable-aesccm \
		--enable-poly1305 \
		--enable-camellia \
		--enable-md2 \
		--enable-nullcipher \
		--enable-ripemd \
		--enable-blake2 \
		--enable-sha512 \
		--enable-sessioncerts \
		--enable-keygen \
		--enable-certgen \
		--enable-certreq \
		--enable-sep \
		--enable-hkdf \
		--enable-dsa \
		--enable-ecc \
		--enable-ecc25519 \
		--enable-fpecc \
		--enable-eccencrypt \
		--enable-psk \
		--enable-md4 \
		--enable-pwdbased \
		--enable-hc128 \
		--enable-rabbit \
		--enable-chacha \
		--enable-hashdrbg \
		--enable-ocsp \
		--enable-crl \
		--enable-sni \
		--enable-maxfragment \
		--enable-truncatedhmac \
		--enable-renegotiation-indication \
		--enable-supportedcurves \
		--enable-tlsx \
		--enable-pkcs7 \
		--enable-scep \
		--enable-testcert \
		--enable-fastmath \
		--enable-static \
		--disable-silent-rules \
		AM_CPPFLAGS="$(AM_CPPFLAGS) -DTFM_TIMING_RESISTANT -DTFM_NO_ASM"

override_dh_strip:
	dh_strip -plibwolfssl0 --dbg-package=libwolfssl0-dbg

=== debian/watch ===
version=3

opts=\
dversionmangle=s/\+dfsg$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/wolfssl-$1\.tar\.gz/,\
repacksuffix=+dfsg \
  https://github.com/wolfssl/wolfssl/tags .*/v?(\d\S*)\.tar\.gz

## wolfssl 3.9.10+dfsg

=== debian/changelog ===
wolfssl (3.9.10+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #793134)
  * Fixed CVE-2015-6925 (Closes: #801120)
  * No longer installing arch-dependent options.h (Closes: #792626)
  * New major number is 3
  * Using '--enable-distro' to define ABI
  * Removed all ABI-related build options selecting features
  * Upgraded Build-Depends: debhelper >=10; bumped compat to 10
  * Removed Build-Depends: dh-exec
  * Switched to automatic generation of debug package (dbgsym)
  * Changed package descriptions and capitalized wolfSSL correctly
  * Deleted compatibility links for libcyassl5
  * Removed control file references to libcyassl5
  * Disabled examples and tests for building without network
  * Removed duplicate license names from debian/copyright
  * Updated watch file for upstream's new version tagging scheme on GitHub
  * Added public key signature verification in watch file
  * Updated Standard-Version: 3.9.8

 -- Felix Lechner <felix.lechner@gmail.com>  Fri, 02 Dec 2016 20:51:20 -0800

=== debian/control ===
Source: wolfssl
Priority: optional
Maintainer: Felix Lechner <felix.lechner@gmail.com>
Build-Depends:
 debhelper (>= 10),
 autotools-dev,
 dh-autoreconf,
 libpcap0.8-dev,
 openssl
Standards-Version: 3.9.8
Section: libs
Homepage: http://www.wolfssl.com/yaSSL/Products-wolfssl.html

Package: libwolfssl3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: wolfSSL encryption library
 wolfSSL is a small, portable, embedded SSL/TLS programming library
 targeted for use by embedded systems developers. It was formerly
 known as CyaSSL.
 .
 It is an open source, dual licensed implementation of SSL/TLS
 (SSL 3.0, TLS 1.0, 1.1, 1.2, DTLS 1.0 and 1.2) written in the C
 language.  wolfSSL includes both a client and server implementation,
 progressive cipher support, key and certificate generation, OCSP
 and CRL, access to the underlying cryptography modules, and more.
 .
 wolfSSL also includes an OpenSSL compatibility interface with the
 most commonly used OpenSSL functions.

Package: libwolfssl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libwolfssl3 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for the wolfSSL encryption library
 wolfSSL is a small, portable, embedded SSL/TLS programming library
 targeted for use by embedded systems developers. It was formerly
 known as CyaSSL.
 .
 It is an open source, dual licensed implementation of SSL/TLS
 (SSL 3.0, TLS 1.0, 1.1, 1.2, DTLS 1.0 and 1.2) written in the C
 language.  wolfSSL includes both a client and server implementation,
 progressive cipher support, key and certificate generation, OCSP
 and CRL, access to the underlying cryptography modules, and more.
 .
 wolfSSL also includes an OpenSSL compatibility interface with the
 most commonly used OpenSSL functions.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment this to change the hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

VERSION=$(shell dpkg-parsechangelog |grep ^Version:|cut -d ' ' -f 2)

%:
	dh $@ --with autotools-dev
#	dh $@ --with autotools-dev --with autoreconf --with dkms

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-distro \
		--disable-examples \
		--disable-silent-rules

override_dh_strip:
	dh_strip --dbgsym-migration='libwolfssl3-dbg (<< 3.9.10-1~)'

#override_dh_dkms:
#	dh_dkms -V $(VERSION)

=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+dfsg$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/wolfssl-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/v(\d\S+)\.tar\.gz/releases\/download\/v$1\/wolfssl-$1\.tar\.gz\.asc/,\
repacksuffix=+dfsg \
  https://github.com/wolfSSL/wolfssl/releases .*/v(\d\S*)-stable\.tar\.gz

## wolfssl 3.10.2+dfsg

=== debian/changelog ===
wolfssl (3.10.2+dfsg-2) unstable; urgency=medium

  * Updated debian/copyright (Closes: #860046)
  * Disabled CRL monitor for all architectures (Closes: #860514)

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 22 Apr 2017 17:48:29 -0700

wolfssl (3.10.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * New major version is 10
  * New maintainer email address
  * Fixes a low level vulnerability for buffer overflow when loading a
    malformed temporary DH file
  * Fixes a medium level vulnerability for processing of OCSP response
  * Fixes CVE-2017-6076, a low level vulnerability for a potential
    cache attack on RSA operations (Closes: #856114)
  * Enabled SHA-224 for all architectures, as advised by upstream

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 08 Apr 2017 14:09:21 -0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: wolfssl
 Priority: optional
-Maintainer: Felix Lechner <felix.lechner@gmail.com>
+Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
  debhelper (>= 10),
  autotools-dev,
@@ -11,7 +11,7 @@
 Section: libs
 Homepage: http://www.wolfssl.com/yaSSL/Products-wolfssl.html
 
-Package: libwolfssl3
+Package: libwolfssl10
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -37,7 +37,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libwolfssl3 (= ${binary:Version}),
+ libwolfssl10 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--enable-sha224 \
 		--enable-distro \
 		--disable-examples \
 		--disable-silent-rules

## wolfssl 3.13.0%2Bdfsg

=== debian/changelog ===
wolfssl (3.13.0+dfsg-1+0~20250808101732.29+trixie~1.gbp8be8da) unstable; urgency=medium

  ** SNAPSHOT build @8be8dabd06c9eef57a1e3f46056ab00174c766f7 **

  [ Mario Fetka ]
  * Bump
  * correct deps andd suppoert for tls 1.3
  * correct deps andd suppoert for tls 1.3
  * correct deps
  * correct compile flags for debain 7
  * correct compile flags for debain 7
  * correct compile flags for debain 7
  * correct compile flags for debain 7
  * correct compile flags for debain 7
  * correct compile flags for debain 7

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Fri, 08 Aug 2025 12:17:33 +0200

wolfssl (3.13.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fixes "robot attack" CVE-2017-13099 (Closes: #884235)
  * New major number 15
  * Set Standards-Version: 4.1.2
  * Improved clean target for repeated builds

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 21 Dec 2017 15:43:45 -0800

wolfssl (3.12.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * New major number 14
  * Updated symbols file
  * Updated watch file
  * Replaced upstream signing key with 0xEBC80E415CA29677
  * Updated Standard-Versions: to 4.1.1

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 25 Nov 2017 21:30:15 -0800

wolfssl (3.12.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Shared object version is now 12
  * CVE-2017-2800 was fixed in 3.11.0 (Closes: #862154)
  * CVE-2017-8855 was fixed in 3.11.0 (Closes: #870170)
  * Removed "--with-sha224" from rules; now included in "--enable-distro"
  * Cannot override lintian for missing upstream signature; source was
    repackaged (DFSG)
  * Removed unnecessary Build-Depends: dh-autoreconf
  * Removed unnecessary Build-Depends: autotools-dev
  * Updated to Standards-Version: 4.0.0

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 13 Aug 2017 21:00:54 -0700

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
- debhelper (>= 10),
  autotools-dev,
  dh-autoreconf,
+ quilt,
+ debhelper (>= 9),
  libpcap0.8-dev,
  openssl
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Section: libs
 Homepage: http://www.wolfssl.com/yaSSL/Products-wolfssl.html
 
-Package: libwolfssl10
+Package: libwolfssl15
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -37,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libwolfssl10 (= ${binary:Version}),
+ libwolfssl15 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment this to change the hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#VERSION=$(shell dpkg-parsechangelog |grep ^Version:|cut -d ' ' -f 2)
# following is to avoid a lintian warning, but untested
#VERSION=$(shell echo $DEB_VERSION |cut -d ' ' -f 2)

%:
	dh $@ --with autoreconf,autotools_dev
#	dh $@ --with dkms

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-distro \
		--disable-examples \
		--disable-silent-rules \
		--disable-debug

override_dh_strip:
	dh_strip --dbgsym-migration='libwolfssl3-dbg (<< 3.9.10-1~)'

#override_dh_dkms:
#	dh_dkms -V $(VERSION)

## wolfssl 3.13.0+dfsg

=== wrapper/python/wolfssl/docs/Makefile ===
# Makefile
#
# Copyright (C) 2006-2017 wolfSSL Inc.
#
# This file is part of wolfSSL. (formerly known as CyaSSL)
#
# wolfSSL is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# wolfSSL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA

.PHONY : all clean html pdf man

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         = a4
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

all:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make a single large HTML file"
	@echo "  pdf        to make LaTeX files and run them through pdflatex"
	@echo "  man        to make manual pages"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,7 @@
 Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
- autotools-dev,
- dh-autoreconf,
- quilt,
- debhelper (>= 9),
+ debhelper (>= 10),
  libpcap0.8-dev,
  openssl
 Standards-Version: 4.1.2

=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+dfsg$//,\
filenamemangle=s/.+\/v?(\d\S+)-stable\.tar\.gz/wolfssl-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/v(\d\S+)\.tar\.gz/releases\/download\/v$1\/wolfssl-$1\.tar\.gz\.asc/,\
repacksuffix=+dfsg \
  https://github.com/wolfSSL/wolfssl/releases .*/v(\d\S+)-stable\.tar\.gz

## wolfssl 3.15.3+dfsg

=== debian/changelog ===
wolfssl (3.15.3+dfsg-2) unstable; urgency=medium

  * Ship wolfssl/control.h (Closes: #904711)
  * Enabled TLS 1.3 (Closes: #904710)

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 03 Aug 2018 20:32:42 -0700

wolfssl (3.15.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fixes "return of the hidden number problem" CVE-2018-12436 (Closes: #901627)
  * Major number is now 18
  * Updated shared object symbols
  * Debug symbol migration complete; code deleted
  * Shipping examples for C library
  * Removed doxygen-generated files from source tarball
  * Removed non-existing 'm4/wolfssl_darwin_clang.m4' from copyright
  * Updated upstream home page in control
  * Switched to secure URI for copyright format
  * Fixed spelling in patch header
  * Set Standards-Version: 4.1.5
  * Set compat to 11
  * Set Build-Depends: debhelper (>= 11)

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 12 Jul 2018 15:29:02 -0700

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  libpcap0.8-dev,
  openssl
-Standards-Version: 4.1.2
+Standards-Version: 4.1.5
 Section: libs
-Homepage: http://www.wolfssl.com/yaSSL/Products-wolfssl.html
+Homepage: https://www.wolfssl.com/products/wolfssl/
 
-Package: libwolfssl15
+Package: libwolfssl18
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -35,7 +35,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libwolfssl15 (= ${binary:Version}),
+ libwolfssl18 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library

## wolfssl 4.1.0+dfsg

=== debian/changelog ===
wolfssl (4.1.0+dfsg-2) unstable; urgency=medium

  * Cherry-pick commit c6e4aebc from upstream. Fixes CVE-2019-15651.
    "One-byte heap-based buffer over-read in DecodeCertExtensions".

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 18 Sep 2019 17:28:15 -0700

wolfssl (4.1.0+dfsg-1) unstable; urgency=medium

  * In 'telegram-cli', wolfSSL may have found its first user in Debian
  * Thank you to Liu Ying-Chun <paulliu@debian.org> for helping with packaging
  * New upstream release
    - Fixes CVE-2019-11873
      "Buffer Overflow in DoPreSharedKeys in tls13.c"
      (Closes: #929468)
    - Fixed CVE-2018-16870 in 3.15.7
      "Bleichenbacher downgrade attack TLS"
      (Closes: #918952)
  * Bumped library major number to 19
  * Updated shared object symbols
  * Updated Debian patches
  * Bumped Standards-Version to 4.4.0
  * Bumped debhelper compat to 12, via debhelper-compat (= 12) in d/control
  * Excluded resource.h and generated html in d/copyright
  * Updated some end dates in d/copyright

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 11 Sep 2019 15:08:30 -0700

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libpcap0.8-dev,
  openssl
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Section: libs
 Homepage: https://www.wolfssl.com/products/wolfssl/
 
-Package: libwolfssl18
+Package: libwolfssl19
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -22,7 +22,7 @@
  known as CyaSSL.
  .
  It is an open source, dual licensed implementation of SSL/TLS
- (SSL 3.0, TLS 1.0, 1.1, 1.2, DTLS 1.0 and 1.2) written in the C
+ (SSL 3.0, TLS 1.0, 1.1, 1.2, 1.3, DTLS 1.0 and 1.2) written in the C
  language.  wolfSSL includes both a client and server implementation,
  progressive cipher support, key and certificate generation, OCSP
  and CRL, access to the underlying cryptography modules, and more.
@@ -35,7 +35,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libwolfssl18 (= ${binary:Version}),
+ libwolfssl19 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library
@@ -43,7 +43,7 @@
  known as CyaSSL.
  .
  It is an open source, dual licensed implementation of SSL/TLS
- (SSL 3.0, TLS 1.0, 1.1, 1.2, DTLS 1.0 and 1.2) written in the C
+ (SSL 3.0, TLS 1.0, 1.1, 1.2, 1.3, DTLS 1.0 and 1.2) written in the C
  language.  wolfSSL includes both a client and server implementation,
  progressive cipher support, key and certificate generation, OCSP
  and CRL, access to the underlying cryptography modules, and more.

## wolfssl 4.3.0+dfsg

=== wrapper/python/wolfssl/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile
 #
-# Copyright (C) 2006-2017 wolfSSL Inc.
+# Copyright (C) 2006-2019 wolfSSL Inc.
 #
-# This file is part of wolfSSL. (formerly known as CyaSSL)
+# This file is part of wolfSSL.
 #
 # wolfSSL is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,7 +16,8 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1335, USA
+#/
 
 .PHONY : all clean clean-test clean-build clean-pyc install test check upload

=== wrapper/python/wolfcrypt/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/wolfcrypt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/wolfcrypt.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/wolfcrypt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/wolfcrypt"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
wolfssl (4.3.0+dfsg-2) unstable; urgency=medium

  * Source-only upload for propagation to testing.

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 27 Dec 2019 16:05:50 -0800

wolfssl (4.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bumped shared object major version to 24
  * Removed from patches commit previously cherry-picked
  * Refreshed patches

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 24 Dec 2019 18:11:16 -0800

wolfssl (4.2.0+dfsg-3) unstable; urgency=medium

  * Cherry-pick commit 52f28bd5 from upstream. Fixes CVE-2019-18840.
    "one-byte heap-based buffer overflow inside the DecodedCert structure
    in GetName in wolfcrypt/src/asn.c"

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 09 Nov 2019 19:27:34 -0800

wolfssl (4.2.0+dfsg-2) unstable; urgency=medium

  * Source-only upload after trip through NEW, for migration to testing.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 04 Nov 2019 05:09:38 -0800

wolfssl (4.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bumped library major number to 23
  * Updated shared object symbols
  * Bumped Standards-Version to 4.4.1
  * Removed license file COPYING from d/copyright
  * Added Rules-Requires-Root: no to d/control
  * Removed cherry-picked patch from ./debian
  * Refreshed remaining patches

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 29 Oct 2019 17:19:07 -0700

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
  debhelper-compat (= 12),
  libpcap0.8-dev,
  openssl
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Section: libs
 Homepage: https://www.wolfssl.com/products/wolfssl/
 
-Package: libwolfssl19
+Package: libwolfssl24
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -35,7 +36,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libwolfssl19 (= ${binary:Version}),
+ libwolfssl24 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library

=== debian/rules ===
--- 
+++ 
@@ -14,18 +14,18 @@
 #VERSION=$(shell echo $DEB_VERSION |cut -d ' ' -f 2)
 
 %:
-	dh $@ --with autoreconf,autotools_dev
+	dh $@
 #	dh $@ --with dkms
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--enable-distro \
+		--enable-tls13 \
 		--disable-examples \
-		--disable-silent-rules \
-		--disable-debug
+		--disable-silent-rules
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libwolfssl3-dbg (<< 3.9.10-1~)'
+override_dh_installexamples:
+	dh_installexamples --exclude .vcproj --exclude .vcxproj --exclude .sln
 
 #override_dh_dkms:
 #	dh_dkms -V $(VERSION)

## wolfssl 4.5.0+dfsg

=== CMakeLists.txt ===
# CMakeList.txt
#
# Copyright (C) 2006-2020 wolfSSL Inc.
#
# This file is part of wolfSSL. (formerly known as CyaSSL)
#
# Usage:
# $ mkdir build
# $ cd build
# $ cmake ..
# $ cmake --build .

# To build library only and not build examples and test apps use:
# $ cmake .. -DBUILD_TESTS=NO

# To build with debugging use:
# $ cmake .. -DCMAKE_BUILD_TYPE=Debug


cmake_minimum_required (VERSION 2.6)

####################################################
# Project
####################################################
project(wolfssl)
find_package (Threads)

####################################################
# Compiler
####################################################
# Let CMake choose default compiler

# Silence ranlib warning "has no symbols"
SET(CMAKE_C_ARCHIVE_CREATE   "<CMAKE_AR> Scr <TARGET> <LINK_FLAGS> <OBJECTS>")
SET(CMAKE_CXX_ARCHIVE_CREATE "<CMAKE_AR> Scr <TARGET> <LINK_FLAGS> <OBJECTS>")
SET(CMAKE_C_ARCHIVE_FINISH   "<CMAKE_RANLIB> -no_warning_for_no_symbols -c <TARGET>")
SET(CMAKE_CXX_ARCHIVE_FINISH "<CMAKE_RANLIB> -no_warning_for_no_symbols -c <TARGET>")

####################################################
# Cross Compile Example
####################################################

#set(CMAKE_SYSTEM_NAME Linux)
#set(CMAKE_SYSTEM_PROCESSOR arm)
#set(CMAKE_C_COMPILER "/opt/arm-linux-musleabihf-cross/bin/arm-linux-musleabihf-gcc")
#set(CMAKE_CXX_COMPILER "/opt/arm-linux-musleabihf-cross/bin/arm-linux-musleabihf-g++")
#set(CMAKE_SYSROOT "/opt/arm-linux-musleabihf-cross/arm-linux-musleabihf/")
# Example for setting CFLAGS
#set(CMAKE_C_FLAGS "-std=gnu89 ${CMAKE_C_FLAGS}")
# Example for map file and custom linker script
#set(CMAKE_EXE_LINKER_FLAGS " -Xlinker -Map=output.map -T\"${CMAKE_CURRENT_SOURCE_DIR}/linker.ld\"")

####################################################
# Build Options
####################################################
SET(BUILD_TESTS YES CACHE BOOL "Build test applications")

if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/wolfssl/options.h")
    # Copy generated ./options.h
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/wolfssl/options.h 
                   ${CMAKE_CURRENT_BINARY_DIR}/user_settings.h)
else()
   # Use template
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/wolfssl/options.h.in 
                  ${CMAKE_CURRENT_BINARY_DIR}/user_settings.h)
endif()

add_definitions(-DWOLFSSL_USER_SETTINGS)
add_definitions(-DWOLFSSL_IGNORE_FILE_WARN)
if(CMAKE_HAVE_PTHREAD_H)
  add_definitions(-DHAVE_PTHREAD)
endif()

####################################################
# Source Files
####################################################
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/.)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/.)

file(GLOB LIB_SOURCE_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/wolfcrypt/src/*.c)

file(GLOB TEST_SOURCE_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/tests/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/examples/server/server.c
    ${CMAKE_CURRENT_SOURCE_DIR}/examples/client/client.c)

####################################################
# Output Files
####################################################

# Build wolfssl library
add_library(wolfssl ${LIB_SOURCE_FILES})

if(WIN32)
    # For Windows link ws2_32
    target_link_libraries(wolfssl PUBLIC $<$<PLATFORM_ID:Windows>:ws2_32>)
else()
    # DH requires math (m) library
    target_link_libraries(wolfssl PUBLIC m)
endif()

# Optionally build example and test applications
if(BUILD_TESTS)
    # Build wolfCrypt test
    add_executable(wolfcrypttest
        ${CMAKE_CURRENT_SOURCE_DIR}/wolfcrypt/test/test.c)
    target_link_libraries(wolfcrypttest wolfssl)

    # Build wolfCrypt benchmark
    add_executable(wolfcryptbench
        ${CMAKE_CURRENT_SOURCE_DIR}/wolfcrypt/benchmark/benchmark.c)
    target_link_libraries(wolfcryptbench wolfssl)

    # Build wolfSSL Client example
    add_executable(client
        ${CMAKE_CURRENT_SOURCE_DIR}/examples/client/client.c)
    target_link_libraries(client wolfssl)

    # Build wolfSSL Server example
    add_executable(server
        ${CMAKE_CURRENT_SOURCE_DIR}/examples/server/server.c)
    target_link_libraries(server wolfssl)

    # Build Echo Client Example
    add_executable(echoclient
        ${CMAKE_CURRENT_SOURCE_DIR}/examples/echoclient/echoclient.c)
    target_link_libraries(echoclient wolfssl)

    # Build Echo Server Example
    add_executable(echoserver
        ${CMAKE_CURRENT_SOURCE_DIR}/examples/echoserver/echoserver.c)
    target_link_libraries(echoserver wolfssl)

    # Build TLS benchmark example
    add_executable(tls_bench
        ${CMAKE_CURRENT_SOURCE_DIR}/examples/benchmark/tls_bench.c)
    target_link_libraries(tls_bench wolfssl)
    target_link_libraries(tls_bench Threads::Threads)

    # Build Unit Tests
    add_executable(unit_test
        ${TEST_SOURCE_FILES})
    set_target_properties( unit_test PROPERTIES COMPILE_FLAGS "-DNO_MAIN_DRIVER" )
    target_link_libraries(unit_test wolfssl)
    target_link_libraries(unit_test Threads::Threads)
endif()

# TODO: Add install() for library, headers and test applications

=== debian/changelog ===
wolfssl (4.5.0+dfsg-2) unstable; urgency=medium

  * Cherry-pick patch to provide ByteReverseWords on big-endian architecture;
    suggested by upstream as fix for build failure on s390x.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 15 Sep 2020 16:55:31 -0700

wolfssl (4.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release; fixes CVE-2020-12457, CVE-2020-15309, CVE-2020-24585,
    CVE-2020-24613. (Closes: #969663)
  * Enable PKCS#11 support in d/rules. (Closes: #969370).
  * Remove patches submitted upstream and accepted:
      - rename-hash-type.patch
      - rename-validate-date-function.patch
  * Remove patches previously cherry-picked from the unreleased Git:
      - b07dfa425dc9416c4188830e79fd26.patch
      - c8b87eab5f2fe2ae2c3527bbfb33db6ed8b55999.patch
  * Refresh remaining Debian patches.
  * Marked the following patches as not needing forwarding to upstream:
      - dfsg.patch
      - disable-crl-monitor.patch
      - disable-jobserver.patch
  * Marked utf8.patch as forwarded; included URL for Github pull request.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 15 Sep 2020 12:49:03 -0700

wolfssl (4.4.0+dfsg-7) unstable; urgency=medium

  * Disable jobserver in Automake (AX_AM_JOBSERVER) and remove -j flag from
    make test command. Maybe this fixes the CI problem.
  * Fix typo in README.Debian.

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 03 Jul 2020 18:15:12 -0700

wolfssl (4.4.0+dfsg-6) unstable; urgency=medium

  * Provide basic instructions on how to use the OpenSSL compatibility layer
    in README.Debian. (Closes: #964215)

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 03 Jul 2020 14:41:33 -0700

wolfssl (4.4.0+dfsg-5) unstable; urgency=medium

  * Explicitly disable jobserver mode in make during build with the expanded
    test command 'make -j1 && make -j1 test' attempting eliminate this error:
    "make[2]: warning: -j33 forced in submake: resetting jobserver mode."

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 01 Jul 2020 11:53:06 -0700

wolfssl (4.4.0+dfsg-4) unstable; urgency=medium

  * Make static library reproducible. (Closes: #960590)
  * Import upstream patch for spelling of compatibility flags (Closes: #962149)
  * Disable jobserver mode in autopkgtest by specifying -j1 to fix "FAIL stderr:
    make[2]: warning: -j5 forced in submake: resetting jobserver mode."
  * Refresh patches

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 01 Jul 2020 05:56:56 -0700

wolfssl (4.4.0+dfsg-3) unstable; urgency=medium

  * Added an autopkgtest; setup is probably too generous. (Closes: #952676)
  * Convert tfm.h to UTF-8 encoding.
  * Patched to rename Hash type and ValidateDate for building PostgreSQL.
    Also submitted to upstream, who agreed in principle to a renaming.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 30 Jun 2020 10:51:43 -0700

wolfssl (4.4.0+dfsg-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 18 May 2020 14:12:21 -0700

wolfssl (4.4.0+dfsg-2) unstable; urgency=medium

  * Cherry-pick upstream fix for C++ (Closes: #960394)

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 12 May 2020 06:31:00 -0700

wolfssl (4.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version; fixes CVE-2020-11713 (Closes: #958667, #960190)
  * Add new symbols; major number stayed the same
  * Add John Safranek (374E2847BC8AF19E) as authorized upstream signatory
  * Refreshed Debian patches so they apply without fuzz
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat level to 13.
  * Ship examples prepared by make instead of raw files from source
  * Ship README.txt and taoCert.txt in docs for shared library
  * Add usr/lib/*/*.la and usr/bin/wolfssl-config to d/not-installed

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 11 May 2020 12:20:59 -0700

wolfssl (4.3.0+dfsg-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 09 Jan 2020 21:44:59 -0800

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libpcap0.8-dev,
  openssl
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://www.wolfssl.com/products/wolfssl/

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--enable-distro \
+		--enable-pkcs11 \
 		--enable-tls13 \
 		--disable-examples \
 		--disable-silent-rules
